rfc2198_sim.h File Reference

Go to the source code of this file.

## Classes

struct | rfc2198_sim_queue_element_s
struct | rfc2198_sim_state_t

## Typedefs

typedef struct rfc2198_sim_queue_element_s | rfc2198_sim_queue_element_t

## Functions

rfc2198_sim_state_t * | rfc2198_sim_init (int model, int speed_pattern, int packet_size, int packet_rate, int redundancy_depth)
int | rfc2198_sim_put (rfc2198_sim_state_t *s, const uint8_t buf[], int len, int seq_no, double departure_time)
int | rfc2198_sim_get (rfc2198_sim_state_t *s, uint8_t buf[], int max_len, double current_time, int *seq_no, double *departure_time, double *arrival_time)

## Typedef Documentation

## rfc2198_sim_queue_element_t

typedef struct rfc2198_sim_queue_element_s rfc2198_sim_queue_element_t

The definition of an element in the packet queue